module ArrayTransform::Operations

  def add_column(*args, &block)
    AddColumn.call(*args, &block)
  end

  def add_index_column(*args, &block)
    AddIndexColumn.call(*args, &block)
  end

  def copy_column(*args, &block)
    CopyColumn.call(*args, &block)
  end

  def join_lookup(*args, &block)
    JoinWithLoookup.call(*args, &block)
  end

  def remove_column(*args, &block)
    RemoveColumn.call(*args, &block)
  end

  def remove_rows(*args, &block)
    RemoveRows.call(*args, &block)
  end

  def update_row(*args, &block)
    UpdateRow.call(*args, &block)
  end

end
